org.richfaces.component

## Class UIMenuItem

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UICommand
      - - org.richfaces.component.AbstractActionComponent
        - - org.richfaces.component.AbstractMenuItem
          - - org.richfaces.component.UIMenuItem

- All Implemented Interfaces:
    EventListener, javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class UIMenuItem
      extends AbstractMenuItem
      implements javax.faces.component.behavior.ClientBehaviorHolder

  The <rich:menuItem> component represents a single item in a menu control. The <rich:menuItem> component can be also be used as a seperate component without a parent menu component, such as on a toolbar.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UIMenuItem.Properties`

    - ### Nested classes/interfaces inherited from class org.richfaces.component.AbstractMenuItem

      `AbstractMenuItem.Facets`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class org.richfaces.component.AbstractMenuItem

      `CSS_ROOT_DEFAULT`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIMenuItem()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getData()`
    `String` | `getDefaultEventName()`
    `String` | `getDir()`
    `Collection<String>` | `getEventNames()`
    `Object` | `getExecute()`
    `String` | `getFamily()`
    `String` | `getIcon()` The icon to be displayed with the menu item
    `String` | `getIconDisabled()` The icon to be displayed with the menu item when it is disabled
    `Object` | `getLabel()` The text label for the menu item.
    `String` | `getLang()`
    `org.richfaces.component.Mode` | `getMode()` Determines how the menu item requests are submitted.
    `String` | `getOnbeforedomupdate()`
    `String` | `getOnbegin()`
    `String` | `getOnclick()`
    `String` | `getOncomplete()`
    `String` | `getOndblclick()`
    `String` | `getOnkeydown()`
    `String` | `getOnkeypress()`
    `String` | `getOnkeyup()`
    `String` | `getOnmousedown()`
    `String` | `getOnmousemove()`
    `String` | `getOnmouseout()`
    `String` | `getOnmouseover()`
    `String` | `getOnmouseup()`
    `Object` | `getRender()`
    `String` | `getStatus()`
    `String` | `getStyle()`
    `String` | `getStyleClass()`
    `String` | `getTitle()`
    `Object` | `getValue()`
    `boolean` | `isBypassUpdates()`
    `boolean` | `isDisabled()` Disables the menu component, so it will not be clickable
    `boolean` | `isLimitRender()`
    `void` | `setBypassUpdates(boolean bypassUpdates)`
    `void` | `setData(Object data)`
    `void` | `setDir(String dir)`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setExecute(Object execute)`
    `void` | `setIcon(String icon)`
    `void` | `setIconDisabled(String iconDisabled)`
    `void` | `setLabel(Object label)`
    `void` | `setLang(String lang)`
    `void` | `setLimitRender(boolean limitRender)`
    `void` | `setMode(org.richfaces.component.Mode mode)`
    `void` | `setOnbeforedomupdate(String onbeforedomupdate)`
    `void` | `setOnbegin(String onbegin)`
    `void` | `setOnclick(String onclick)`
    `void` | `setOncomplete(String oncomplete)`
    `void` | `setOndblclick(String ondblclick)`
    `void` | `setOnkeydown(String onkeydown)`
    `void` | `setOnkeypress(String onkeypress)`
    `void` | `setOnkeyup(String onkeyup)`
    `void` | `setOnmousedown(String onmousedown)`
    `void` | `setOnmousemove(String onmousemove)`
    `void` | `setOnmouseout(String onmouseout)`
    `void` | `setOnmouseover(String onmouseover)`
    `void` | `setOnmouseup(String onmouseup)`
    `void` | `setRender(Object render)`
    `void` | `setStatus(String status)`
    `void` | `setStyle(String style)`
    `void` | `setStyleClass(String styleClass)`
    `void` | `setTitle(String title)`
    `void` | `setValue(Object value)`

    - ### Methods inherited from class org.richfaces.component.AbstractMenuItem

      `getCssRoot`

    - ### Methods inherited from class org.richfaces.component.AbstractActionComponent

      `queueEvent`

    - ### Methods inherited from class javax.faces.component.UICommand

      `addActionListener, broadcast, getAction, getActionExpression, getActionListener, getActionListeners, isImmediate, removeActionListener, setAction, setActionExpression, setActionListener, setImmediate`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIMenuItem

          public UIMenuItem()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UICommand`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### isBypassUpdates

          public boolean isBypassUpdates()

      Specified by:
        `isBypassUpdates` in class `org.richfaces.component.AbstractActionComponent`

    - #### setBypassUpdates

          public void setBypassUpdates(boolean bypassUpdates)

      Specified by:
        `setBypassUpdates` in class `org.richfaces.component.AbstractActionComponent`

    - #### getData

          public Object getData()

    - #### setData

          public void setData(Object data)

    - #### getDir

          public String getDir()

    - #### setDir

          public void setDir(String dir)

    - #### isDisabled

          public boolean isDisabled()

      Description copied from class: `AbstractMenuItem`
      Disables the menu component, so it will not be clickable
      Specified by:
        `isDisabled` in class `AbstractMenuItem`

    - #### setDisabled

          public void setDisabled(boolean disabled)

    - #### getExecute

          public Object getExecute()

    - #### setExecute

          public void setExecute(Object execute)

    - #### getIcon

          public String getIcon()

      Description copied from class: `AbstractMenuItem`
      The icon to be displayed with the menu item
      Specified by:
        `getIcon` in class `AbstractMenuItem`

    - #### setIcon

          public void setIcon(String icon)

    - #### getIconDisabled

          public String getIconDisabled()

      Description copied from class: `AbstractMenuItem`
      The icon to be displayed with the menu item when it is disabled
      Specified by:
        `getIconDisabled` in class `AbstractMenuItem`

    - #### setIconDisabled

          public void setIconDisabled(String iconDisabled)

    - #### getLabel

          public Object getLabel()

      Description copied from class: `AbstractMenuItem`

      The text label for the menu item. Alternatively, use the label facet to define content for the label

      Default is server

      Specified by:
        `getLabel` in class `AbstractMenuItem`

    - #### setLabel

          public void setLabel(Object label)

    - #### getLang

          public String getLang()

    - #### setLang

          public void setLang(String lang)

    - #### isLimitRender

          public boolean isLimitRender()

    - #### setLimitRender

          public void setLimitRender(boolean limitRender)

    - #### getMode

          public org.richfaces.component.Mode getMode()

      Description copied from class: `AbstractMenuItem`

      Determines how the menu item requests are submitted. Valid values:

      1. server, the default setting, submits the form normally and completely refreshes the page.
      2. ajax performs an Ajax form submission, and re-renders elements specified with the render attribute.
      3. client causes the action and actionListener items to be ignored, and the behavior is fully defined by the nested components instead of responses from submissions
      Specified by:
        `getMode` in class `AbstractMenuItem`

    - #### setMode

          public void setMode(org.richfaces.component.Mode mode)

    - #### getOnbeforedomupdate

          public String getOnbeforedomupdate()

    - #### setOnbeforedomupdate

          public void setOnbeforedomupdate(String onbeforedomupdate)

    - #### getOnbegin

          public String getOnbegin()

    - #### setOnbegin

          public void setOnbegin(String onbegin)

    - #### getOnclick

          public String getOnclick()

    - #### setOnclick

          public void setOnclick(String onclick)

    - #### getOncomplete

          public String getOncomplete()

    - #### setOncomplete

          public void setOncomplete(String oncomplete)

    - #### getOndblclick

          public String getOndblclick()

    - #### setOndblclick

          public void setOndblclick(String ondblclick)

    - #### getOnkeydown

          public String getOnkeydown()

    - #### setOnkeydown

          public void setOnkeydown(String onkeydown)

    - #### getOnkeypress

          public String getOnkeypress()

    - #### setOnkeypress

          public void setOnkeypress(String onkeypress)

    - #### getOnkeyup

          public String getOnkeyup()

    - #### setOnkeyup

          public void setOnkeyup(String onkeyup)

    - #### getOnmousedown

          public String getOnmousedown()

    - #### setOnmousedown

          public void setOnmousedown(String onmousedown)

    - #### getOnmousemove

          public String getOnmousemove()

    - #### setOnmousemove

          public void setOnmousemove(String onmousemove)

    - #### getOnmouseout

          public String getOnmouseout()

    - #### setOnmouseout

          public void setOnmouseout(String onmouseout)

    - #### getOnmouseover

          public String getOnmouseover()

    - #### setOnmouseover

          public void setOnmouseover(String onmouseover)

    - #### getOnmouseup

          public String getOnmouseup()

    - #### setOnmouseup

          public void setOnmouseup(String onmouseup)

    - #### getRender

          public Object getRender()

    - #### setRender

          public void setRender(Object render)

    - #### getStatus

          public String getStatus()

    - #### setStatus

          public void setStatus(String status)

    - #### getStyle

          public String getStyle()

    - #### setStyle

          public void setStyle(String style)

    - #### getStyleClass

          public String getStyleClass()

    - #### setStyleClass

          public void setStyleClass(String styleClass)

    - #### getTitle

          public String getTitle()

    - #### setTitle

          public void setTitle(String title)

    - #### getValue

          public Object getValue()

      Specified by:
        `getValue` in class `AbstractMenuItem`

    - #### setValue

          public void setValue(Object value)

      Overrides:
        `setValue` in class `javax.faces.component.UICommand`

Copyright © 2014 JBoss by Red Hat. All rights reserved.